#!/bin/sh

if [ "$1" == "--dont-ask" ] ; then
  :
else
  cat <<EOF
This script will uninstall the previously installed version of Nemerle.

If you really want to uninstall Nemerle, please hit Enter now, otherwise
press Ctrl-C.

EOF

  echo -n "Enter or Ctrl-C? "
  read JUNK
fi

echo
echo "*** Uninstalling Nemerle. ***"
echo

gacutil >/dev/null 2>/dev/null
if [ $? -lt 100 ] ; then
  :
else
  echo "cannot execute gacutil, make sure it is in PATH"
  exit 1
fi

install_bindir="@install_bindir@"
nant_plugin_path="@nant_plugin_path@"

if test -x "$install_bindir/ncc" ; then
  :
else
  echo "cannot find $install_bindir/ncc, did you already run uninstall?"
  exit 1
fi

rm -f "$install_bindir"/{ncc,cs2n,nemish}{,.exe}
rm -f "$install_bindir/uninstall-nemerle.sh"
test -f "$nant_plugin_path" && rm -f "$nant_plugin_path"
gacutil -package nemerle -u "Nemerle.CSharp.CS, Version=0.9.3.0, PublicKeyToken=5291d186334f6101"
gacutil -package nemerle -u "Nemerle.CSharp, Version=0.9.3.0, PublicKeyToken=5291d186334f6101"
gacutil -package nemerle -u "Nemerle.Compiler, Version=0.9.3.0, PublicKeyToken=5291d186334f6101"
gacutil -package nemerle -u "Nemerle.Evaluation, Version=0.9.3.0, PublicKeyToken=5291d186334f6101"
gacutil -package nemerle -u "Nemerle.Macros, Version=0.9.3.0, PublicKeyToken=5291d186334f6101"
gacutil -package nemerle -u "Nemerle, Version=0.9.3.0, PublicKeyToken=e080a9c724e2bfcd"
gacutil -package nemerle -u "antlr.runtime, Version=2.7.5.50000, PublicKeyToken=e080a9c724e2bfcd"
echo
echo "*** Uninstallation successful ***"
echo "Thank you for using Nemerle."
echo
exit 0
